Subject: bug#76769: 31.0.50; marking inconsistency between VC-Dir and dired-vc-next-action

From: Sean Whitton <[email-masked]>
Date: Tue, 01 Apr 2025 15:33:52 +0800

Hello,

I discovered another inconsistency in current VC-Dir which must be
resolved first.  Suppose you have:

--8<---------------cut here---------------start------------->8---
                         ./
  *                      admin/
     edited              admin/emake
                         admin/notes/
     edited              admin/notes/www
--8<---------------cut here---------------end--------------->8---

and then you move point to admin/notes/ and type 'm'.
This is allowed.  The marks become:

--8<---------------cut here---------------start------------->8---
                         ./
  *                      admin/
     edited              admin/emake
  *                      admin/notes/
     edited              admin/notes/www
--8<---------------cut here---------------end--------------->8---

However, if you instead start with this:

--8<---------------cut here---------------start------------->8---
                         ./
                         admin/
     edited              admin/emake
  *                      admin/notes/
     edited              admin/notes/www
--8<---------------cut here---------------end--------------->8---

and then you move point to admin/ and type 'm', it's an error.
It won't let you mark admin/.

*If* it is allowed to have both admin/ and admin/notes/ marked,
then it shouldn't matter which order you mark them in.

I think I should change it to *not* allow admin/notes/ to be marked at
the same time as admin/.  Does that sound right to others?

-- 
Sean Whitton